Bug 1123001 - [abrt] FlightGear: _M_data(): fgfs killed by SIGSEGV
Summary: [abrt] FlightGear: _M_data(): fgfs killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: FlightGear
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabrice Bellet
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1de51265993d4563b4e8598b56d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 15:02 UTC by z.d
Modified: 2015-06-29 21:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:44:16 UTC


Attachments (Terms of Use)
File: backtrace (42.94 KB, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: cgroup (172 bytes, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: core_backtrace (8.52 KB, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: dso_list (9.47 KB, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: environ (2.60 KB, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: maps (45.42 KB, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: open_fds (156 bytes, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details
File: var_log_messages (358 bytes, text/plain)
2014-07-24 15:02 UTC, z.d
no flags Details

Description z.d 2014-07-24 15:02:10 UTC
Version-Release number of selected component:
FlightGear-2.12.0-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        fgfs -v --aircraft=f-14b --fg-scenery=/mnt/sda2/DO_NOT_BACKUP/fg/scenery --fg-aircraft=/mnt/sda2/nfsdata/tmp/inst/fg/a --airport=LKNA
crash_function: _M_data
executable:     /usr/bin/fgfs
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _M_data at /usr/src/debug/gcc-4.8.3-20140624/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.h:293
 #1 _M_rep at /usr/src/debug/gcc-4.8.3-20140624/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.h:301
 #2 std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string at /usr/src/debug/gcc-4.8.3-20140624/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:173
 #3 SGPath::SGPath at /usr/src/debug/simgear-2.12.0/simgear/misc/sg_path.cxx:90
 #4 flightgear::NavDataCache::NavDataCache at /usr/src/debug/flightgear-2.12.0/src/Navaids/NavDataCache.cxx:1118
 #5 flightgear::NavDataCache::instance at /usr/src/debug/flightgear-2.12.0/src/Navaids/NavDataCache.cxx:1182
 #6 flightgear::Octree::Branch::childAtIndex at /usr/src/debug/flightgear-2.12.0/src/Navaids/PositionedOctree.cxx:221
 #7 flightgear::Octree::Branch::childForPos at /usr/src/debug/flightgear-2.12.0/src/Navaids/PositionedOctree.cxx:194
 #8 flightgear::Octree::Branch::findLeafForPos at /usr/src/debug/flightgear-2.12.0/src/Navaids/PositionedOctree.hxx:211
 #9 flightgear::NavDataCache::NavDataCachePrivate::insertPositioned at /usr/src/debug/flightgear-2.12.0/src/Navaids/NavDataCache.cxx:852

Comment 1 z.d 2014-07-24 15:02:14 UTC
Created attachment 920569 [details]
File: backtrace

Comment 2 z.d 2014-07-24 15:02:15 UTC
Created attachment 920570 [details]
File: cgroup

Comment 3 z.d 2014-07-24 15:02:16 UTC
Created attachment 920571 [details]
File: core_backtrace

Comment 4 z.d 2014-07-24 15:02:17 UTC
Created attachment 920572 [details]
File: dso_list

Comment 5 z.d 2014-07-24 15:02:18 UTC
Created attachment 920573 [details]
File: environ

Comment 6 z.d 2014-07-24 15:02:20 UTC
Created attachment 920574 [details]
File: exploitable

Comment 7 z.d 2014-07-24 15:02:21 UTC
Created attachment 920575 [details]
File: limits

Comment 8 z.d 2014-07-24 15:02:23 UTC
Created attachment 920576 [details]
File: maps

Comment 9 z.d 2014-07-24 15:02:24 UTC
Created attachment 920577 [details]
File: open_fds

Comment 10 z.d 2014-07-24 15:02:25 UTC
Created attachment 920578 [details]
File: proc_pid_status

Comment 11 z.d 2014-07-24 15:02:26 UTC
Created attachment 920579 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:27:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:44:16 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.